## glgrib 1.0

=== src/python3/glfw/Makefile ===

TOP=../../..

include $(TOP)/makefile.inc

glGrib/glfw.so: glfw.cc
	@mkdir -p glGrib
	g++ -DGLGRIB_PREFIX=\"`pwd`/$(TOP)\" $(CXXFLAGS) -I$(TOP)/include -DUSE_GLFW  --shared `python3-config --includes` -O2 glfw.cc -o glGrib/glfw.so $(LDFLAGS) -Wl,-rpath,$(TOP)/lib

clean:
	\rm -rf glGrib

test:
	./glGribWindow.py
	./glGribOffline.py

=== debian/changelog ===
glgrib (1.0-5) unstable; urgency=medium

  * Adding perl-xs-dev to the Build-Dependencies (Closes: #1102866)
  * Raising Standards version to 4.7.2 (no change)
  * Applying Multi-Arch hints

 -- Pierre Gruet <pgt@debian.org>  Tue, 19 Aug 2025 15:42:40 +0200

glgrib (1.0-4) unstable; urgency=medium

  * Fixing the clean target (Closes: #1044814)
  * Raising Standards version to 4.7.0 (no change)
  * Applying Multi-Arch hints
  * Rewriting Lintian overrides with wildcards

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 May 2024 19:57:36 +0200

glgrib (1.0-3) unstable; urgency=medium

  * Removing files after the build while honouring -arch and -indep rules

 -- Pierre Gruet <pgt@debian.org>  Sat, 17 Jun 2023 16:56:32 +0200

glgrib (1.0-2) unstable; urgency=medium

  * Build-depending on libegl-dev
  * Adding a symbols file for the C library in liblfi0
  * Using dh-python for the build
  * Removing extra license files at build time
  * Adding a Lintian override for documentation outside /usr/share/doc
  * Adding Lintian overrides for false positives about spelling errors
  * Trim trailing whitespace.

 -- Pierre Gruet <pgt@debian.org>  Sat, 17 Jun 2023 14:14:22 +0200

glgrib (1.0-1) experimental; urgency=medium

  * Initial release (Closes: #1027277)

 -- Pierre Gruet <pgt@debian.org>  Sat, 14 Jan 2023 14:09:39 +0100

=== debian/control ===
Source: glgrib
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-python,
               libcurl4-openssl-dev,
               libeccodes-dev,
               libegl-dev,
               libglew-dev,
               libglfw3-dev,
               libglm-dev,
               libnetcdf-c++4-dev,
               libreadline-dev,
               libshp-dev,
               libsqlite3-dev,
               libssl-dev,
               libxrandr-dev,
               libgbm-dev,
               perl-xs-dev,
               python3-dev,
               python3-setuptools,
               python3-pip,
               libimage-magick-perl,
               libdbi-perl,
               libjson-perl,
               libdbd-sqlite3-perl
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/glgrib
Vcs-Git: https://salsa.debian.org/science-team/glgrib.git
Homepage: https://github.com/pmarguinaud/glgrib
Rules-Requires-Root: no

Package: glgrib-glfw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglgrib-glfw0,
         glgrib-shaders,
         glgrib-data,
         liblfi0
Description: Interactive display for geophysical fields encoded in GRIB2
 This is the interactive executable, based on GLFW.
 Display GRIB2 fields with OpenGL. Raster, contour, vector, colorbar, mapscale,
 coastlines, borders. Lat/lon, lambert, gaussian grid. GLFW backend for
 interactive display, EGL backend for batch processing without X11 display.
 Perl/Tk interface.
 Tested on :
  - VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core
 Processor Integrated Graphics Controller (rev 06)
  - VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
  - VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wani
 [Radeon R5/R6/R7 Graphics] (rev c8)
  - 3D controller: NVIDIA Corporation GV100GL [Tesla V100S PCIe 32GB] (rev a1)

Package: glgrib-egl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglgrib-egl0,
         glgrib-shaders,
         glgrib-data,
         liblfi0
Description: Render geophysical fields encoded in GRIB edition 2 using OpenGL
 This is the headless executable, based on EGL.
 Display GRIB2 fields with OpenGL. Raster, contour, vector, colorbar, mapscale,
 coastlines, borders. Lat/lon, lambert, gaussian grid. GLFW backend for
 interactive display, EGL backend for batch processing without X11 display.
 Perl/Tk interface.
 Tested on :
  - VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core
 Processor Integrated Graphics Controller (rev 06)
  - VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06)
  - VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wani
 [Radeon R5/R6/R7 Graphics] (rev c8)
  - 3D controller: NVIDIA Corporation GV100GL [Tesla V100S PCIe 32GB] (rev a1)

Package: libglgrib-headers
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Multi-Arch: same
Description: Display GRIB2 fields using OpenGL (headers for glgrib)
 This package contains the headers for building applications based on the
 glgrib libraries.

Package: libglgrib-glfw0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liblfi0 (= ${binary:Version})
Description: Display GRIB2 fields using OpenGL (GLFW based shared library)
 This package contains the shared library for the interactive glgrib (based
 on GLFW).

Package: libglgrib-glfw-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libglgrib-glfw0 (= ${binary:Version}),
         libglgrib-headers
Description: Display GRIB2 fields using OpenGL (GLFW based dev package)
 This package contains the unversioned shared library symlink for development
 purposes, concerning the interactive glgrib (based on GLFW).

Package: libglgrib-egl0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liblfi0 (= ${binary:Version})
Description: Display GRIB2 fields using OpenGL (EGL based shared library)
 This package contains the shared library for the headless glgrib (based
 on EGL).

Package: libglgrib-egl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libglgrib-egl0 (= ${binary:Version}),
         libglgrib-headers
Description: Display GRIB2 fields using OpenGL (EGL based dev package)
 This package contains the unversioned shared library symlink for development
 purposes, concerning the headless glgrib (based on EGL).

Package: liblfi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: Display GRIB2 fields using OpenGL (ancillary shared library)
 This package contains a small ancillary shared library used by glgrib
 (GLFW & EGL).

Package: liblfi-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         liblfi0 (= ${binary:Version})
Description: Display GRIB2 fields using OpenGL (ancillary dev package)
 Small ancillary library used by glgrib (GLFW & EGL): this package contains the
 headers and the development files.

Package: glgrib-shaders
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Display GRIB2 fields using OpenGL (shaders for glgrib)
 This package contains the OpenGL shaders used by glgrib, in its GLFW & EGL
 flavours.

Package: glgrib-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Display GRIB2 fields using OpenGL (data for glgrib)
 This package contains the runtime data for glgrib, which are coastlines and
 landscapes.

Package: glgrib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Display GRIB2 fields using OpenGL (glgrib documentation)
 This is the documentation (in markdown format) for glgrib: pictures and
 examples.

Package: glgrib-testdata
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Display GRIB2 fields using OpenGL (test data for glgrib)
 This package contains mostly GRIB2 files used to create glgrib examples and
 tests.

Package: libglgrib-glfw-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         perl,
         libglgrib-glfw0,
         glgrib-shaders,
         glgrib-data
Description: Display GRIB2 fields using OpenGL (glgrib Perl bindings)
 glGrib::glfw is a module providing full access to glgrib capabilities
 to the Perl interpreter.

Package: glgrib-tk
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         libglgrib-glfw-perl,
         perl-tk,
         libimage-magick-perl,
         libdbi-perl,
         libjson-perl,
         libdbd-sqlite3-perl
Description: Display GRIB2 fields using OpenGL (Perl/Tk interface)
 This package offers full access to glgrib capabilities through a Perl/Tk
 interface.

Package: python3-glgrib-glfw
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         libglgrib-glfw0,
         glgrib-shaders,
         glgrib-data
Provides: ${python3:Provides}
Description: Display GRIB2 fields using OpenGL (glgrib Python3 bindings)
 glGrib.glfw is a module providing full access to glgrib capabilities
 to the Python interpreter.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk

export DEB_CFLAGS=$(CFLAGS) $(CPPFLAGS)
export DEB_CXXFLAGS=$(CXXFLAGS) $(CPPFLAGS)
export DEB_LDFLAGS=$(LDFLAGS)

%:
	dh $@ --with python3

override_dh_auto_install:
	./scripts/debian/install.pl
	cd src/perl5/glfw && make install
	cd src/glGribTk && make install
	cd src/python3/glfw && make install
	./scripts/debian/cleanInstall.pl

execute_after_dh_install-arch:
	# Removing useless direct_url.json file with build path.
	find debian/python3-glgrib-glfw -name "direct_url.json" -delete

execute_after_dh_install-indep:
	# Removing extra license files
	find debian/glgrib-data -name "*LICENCE.txt" -delete
	find debian/glgrib-data -name "*LICENSE.txt" -delete
	find debian/glgrib-data -name "*LICENSE.TXT" -delete
	find debian/glgrib-data -name "COPYING.LESSERv3" -delete

override_dh_clean:
	rm -rf bin share/glgrib/shaders
	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/pmarguinaud/glgrib/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
